package com.ffii.fhsmsc.modules.User_group.enity;

import java.util.Date;

import com.ffii.core.entity.BaseEntity;
import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Table;

/** @author Terence */
@Entity
@Table(name = "User_Delegation")
public class UserDelegation extends BaseEntity<Long> {
    @Column
    private Long User_ID;
    @Column
    private Long Delegate_To_User_ID;
    @Column
    private Long Data_Group_ID;
    @Column
    private Date Delegation_Start_Date;
    @Column
    private Date Delegation_Expiry_Date;
    @Column
    private Date Creation_Date_Time;

    public Long getUser_ID() {
        return User_ID;
    }

    public void setUser_ID(Long user_ID) {
        User_ID = user_ID;
    }

    public Long getDelegate_To_User_ID() {
        return Delegate_To_User_ID;
    }

    public void setDelegate_To_User_ID(Long delegate_To_User_ID) {
        Delegate_To_User_ID = delegate_To_User_ID;
    }

    public Long getData_Group_ID() {
        return Data_Group_ID;
    }   

    public void setData_Group_ID(Long data_Group_ID) {
        Data_Group_ID = data_Group_ID;
    }

    public Date getDelegation_Start_Date() {        
        return Delegation_Start_Date;
    }

    public void setDelegation_Start_Date(Date delegation_Start_Date) {
        Delegation_Start_Date = delegation_Start_Date;
    }   

    public Date getDelegation_Expiry_Date() {
        return Delegation_Expiry_Date;
    }

    public void setDelegation_Expiry_Date(Date delegation_Expiry_Date) {    
        Delegation_Expiry_Date = delegation_Expiry_Date;
    }

    public Date getCreation_Date_Time() {
        return Creation_Date_Time;
    }   

    public void setCreation_Date_Time(Date creation_Date_Time) {
        Creation_Date_Time = creation_Date_Time;
    }
    
}
